Package org.flowable.engine.delegate.event

# Class AbstractFlowableEngineEventListener

java.lang.Object
org.flowable.common.engine.api.delegate.event.AbstractFlowableEventListener
org.flowable.engine.delegate.event.AbstractFlowableEngineEventListener

All Implemented Interfaces:
  `FlowableEventListener`

public abstract class AbstractFlowableEngineEventListener extends AbstractFlowableEventListener

Author:
  Robert Hafner

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Set<FlowableEngineEventType>`
  `types`

  ### Fields inherited from class org.flowable.common.engine.api.delegate.event.AbstractFlowableEventListener

  `onTransaction`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractFlowableEngineEventListener()`
  `AbstractFlowableEngineEventListener(Set<FlowableEngineEventType> types)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `activityCancelled(FlowableActivityCancelledEvent event)`
  `protected void`
  `activityCompensate(FlowableActivityEvent event)`
  `protected void`
  `activityCompleted(FlowableActivityEvent event)`
  `protected void`
  `activityErrorReceived(FlowableErrorEvent event)`
  `protected void`
  `activityMessageCancelled(FlowableMessageEvent event)`
  `protected void`
  `activityMessageReceived(FlowableMessageEvent event)`
  `protected void`
  `activityMessageWaiting(FlowableMessageEvent event)`
  `protected void`
  `activitySignaled(FlowableSignalEvent event)`
  `protected void`
  `activitySignalWaiting(FlowableSignalEvent event)`
  `protected void`
  `activityStarted(FlowableActivityEvent event)`
  `protected void`
  `custom(FlowableEngineEvent event)`
  `protected void`
  `engineClosed(FlowableProcessEngineEvent flowableEngineEvent)`
  `protected void`
  `engineCreated(FlowableProcessEngineEvent event)`
  `protected void`
  `entityActivated(FlowableEngineEntityEvent event)`
  `protected void`
  `entityCreated(FlowableEngineEntityEvent event)`
  `protected void`
  `entityDeleted(FlowableEngineEntityEvent event)`
  `protected void`
  `entityInitialized(FlowableEngineEntityEvent event)`
  `protected void`
  `entitySuspended(FlowableEngineEntityEvent event)`
  `protected void`
  `entityUpdated(FlowableEngineEntityEvent event)`
  `protected DelegateExecution`
  `getExecution(FlowableEngineEvent event)`
  `Collection<? extends FlowableEventType>`
  `getTypes()`
  The event types that this event listener needs to be registered for
  `protected void`
  `historicActivityInstanceCreated(FlowableEngineEntityEvent event)`
  `protected void`
  `historicActivityInstanceEnded(FlowableEngineEntityEvent event)`
  `protected void`
  `historicProcessInstanceCreated(FlowableEngineEntityEvent event)`
  `protected void`
  `historicProcessInstanceEnded(FlowableEngineEntityEvent event)`
  `boolean`
  `isFailOnException()`
  `protected void`
  `jobCancelled(FlowableEngineEntityEvent event)`
  `protected void`
  `jobExecutionFailure(FlowableEngineEntityEvent event)`
  `protected void`
  `jobExecutionSuccess(FlowableEngineEntityEvent event)`
  `protected void`
  `jobRescheduled(FlowableEngineEntityEvent event)`
  `protected void`
  `jobRetriesDecremented(FlowableEngineEntityEvent event)`
  `protected void`
  `multiInstanceActivityCancelled(FlowableMultiInstanceActivityCancelledEvent event)`
  `protected void`
  `multiInstanceActivityCompleted(FlowableMultiInstanceActivityCompletedEvent event)`
  `protected void`
  `multiInstanceActivityCompletedWithCondition(FlowableMultiInstanceActivityCompletedEvent event)`
  `protected void`
  `multiInstanceActivityStarted(FlowableMultiInstanceActivityEvent event)`
  `void`
  `onEvent(FlowableEvent flowableEvent)`
  Called when an event has been fired
  `protected void`
  `processCancelled(FlowableCancelledEvent event)`
  `protected void`
  `processCompleted(FlowableEngineEntityEvent event)`
  `protected void`
  `processCompletedWithErrorEnd(FlowableEngineEntityEvent event)`
  `protected void`
  `processCompletedWithEscalationEnd(FlowableEngineEntityEvent event)`
  `protected void`
  `processCompletedWithTerminateEnd(FlowableEngineEntityEvent event)`
  `protected void`
  `processCreated(FlowableEngineEntityEvent event)`
  `protected void`
  `processStarted(FlowableProcessStartedEvent event)`
  `protected void`
  `sequenceFlowTaken(FlowableSequenceFlowTakenEvent event)`
  `protected void`
  `taskAssigned(FlowableEngineEntityEvent event)`
  `protected void`
  `taskCompleted(FlowableEngineEntityEvent event)`
  `protected void`
  `taskCreated(FlowableEngineEntityEvent event)`
  `protected void`
  `timerFired(FlowableEngineEntityEvent event)`
  `protected void`
  `timerScheduled(FlowableEngineEntityEvent event)`
  `protected void`
  `variableCreated(FlowableVariableEvent event)`
  `protected void`
  `variableDeletedEvent(FlowableVariableEvent event)`
  `protected void`
  `variableUpdatedEvent(FlowableVariableEvent event)`

  ### Methods inherited from class org.flowable.common.engine.api.delegate.event.AbstractFlowableEventListener

  `getOnTransaction, isFireOnTransactionLifecycleEvent, setOnTransaction`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### types

    protected Set<FlowableEngineEventType> types

- ## Constructor Details

  - ### AbstractFlowableEngineEventListener

    public AbstractFlowableEngineEventListener()

  - ### AbstractFlowableEngineEventListener

    public AbstractFlowableEngineEventListener(Set<FlowableEngineEventType> types)

- ## Method Details

  - ### onEvent

    public void onEvent(FlowableEvent flowableEvent)
    Description copied from interface: `FlowableEventListener`
    Called when an event has been fired
    Parameters:
      `flowableEvent` - the event

  - ### isFailOnException

    public boolean isFailOnException()
    Returns:
      whether or not the current operation should fail when this listeners execution throws an exception.

  - ### getTypes

    public Collection<? extends FlowableEventType> getTypes()
    Description copied from interface: `FlowableEventListener`
    The event types that this event listener needs to be registered for
    Returns:
      the specific event types that this listeners should register itself for

  - ### entityCreated

    protected void entityCreated(FlowableEngineEntityEvent event)

  - ### entityInitialized

    protected void entityInitialized(FlowableEngineEntityEvent event)

  - ### entityUpdated

    protected void entityUpdated(FlowableEngineEntityEvent event)

  - ### entityDeleted

    protected void entityDeleted(FlowableEngineEntityEvent event)

  - ### entitySuspended

    protected void entitySuspended(FlowableEngineEntityEvent event)

  - ### entityActivated

    protected void entityActivated(FlowableEngineEntityEvent event)

  - ### timerScheduled

    protected void timerScheduled(FlowableEngineEntityEvent event)

  - ### timerFired

    protected void timerFired(FlowableEngineEntityEvent event)

  - ### jobCancelled

    protected void jobCancelled(FlowableEngineEntityEvent event)

  - ### jobExecutionSuccess

    protected void jobExecutionSuccess(FlowableEngineEntityEvent event)

  - ### jobExecutionFailure

    protected void jobExecutionFailure(FlowableEngineEntityEvent event)

  - ### jobRetriesDecremented

    protected void jobRetriesDecremented(FlowableEngineEntityEvent event)

  - ### jobRescheduled

    protected void jobRescheduled(FlowableEngineEntityEvent event)

  - ### custom

    protected void custom(FlowableEngineEvent event)

  - ### engineCreated

    protected void engineCreated(FlowableProcessEngineEvent event)

  - ### engineClosed

    protected void engineClosed(FlowableProcessEngineEvent flowableEngineEvent)

  - ### activityStarted

    protected void activityStarted(FlowableActivityEvent event)

  - ### activityCompleted

    protected void activityCompleted(FlowableActivityEvent event)

  - ### activityCancelled

    protected void activityCancelled(FlowableActivityCancelledEvent event)

  - ### multiInstanceActivityStarted

    protected void multiInstanceActivityStarted(FlowableMultiInstanceActivityEvent event)

  - ### multiInstanceActivityCompleted

    protected void multiInstanceActivityCompleted(FlowableMultiInstanceActivityCompletedEvent event)

  - ### multiInstanceActivityCompletedWithCondition

    protected void multiInstanceActivityCompletedWithCondition(FlowableMultiInstanceActivityCompletedEvent event)

  - ### multiInstanceActivityCancelled

    protected void multiInstanceActivityCancelled(FlowableMultiInstanceActivityCancelledEvent event)

  - ### activitySignalWaiting

    protected void activitySignalWaiting(FlowableSignalEvent event)

  - ### activitySignaled

    protected void activitySignaled(FlowableSignalEvent event)

  - ### activityCompensate

    protected void activityCompensate(FlowableActivityEvent event)

  - ### activityMessageWaiting

    protected void activityMessageWaiting(FlowableMessageEvent event)

  - ### activityMessageReceived

    protected void activityMessageReceived(FlowableMessageEvent event)

  - ### activityMessageCancelled

    protected void activityMessageCancelled(FlowableMessageEvent event)

  - ### activityErrorReceived

    protected void activityErrorReceived(FlowableErrorEvent event)

  - ### historicActivityInstanceCreated

    protected void historicActivityInstanceCreated(FlowableEngineEntityEvent event)

  - ### historicActivityInstanceEnded

    protected void historicActivityInstanceEnded(FlowableEngineEntityEvent event)

  - ### sequenceFlowTaken

    protected void sequenceFlowTaken(FlowableSequenceFlowTakenEvent event)

  - ### variableCreated

    protected void variableCreated(FlowableVariableEvent event)

  - ### variableUpdatedEvent

    protected void variableUpdatedEvent(FlowableVariableEvent event)

  - ### variableDeletedEvent

    protected void variableDeletedEvent(FlowableVariableEvent event)

  - ### taskCreated

    protected void taskCreated(FlowableEngineEntityEvent event)

  - ### taskAssigned

    protected void taskAssigned(FlowableEngineEntityEvent event)

  - ### taskCompleted

    protected void taskCompleted(FlowableEngineEntityEvent event)

  - ### processCreated

    protected void processCreated(FlowableEngineEntityEvent event)

  - ### processStarted

    protected void processStarted(FlowableProcessStartedEvent event)

  - ### processCompleted

    protected void processCompleted(FlowableEngineEntityEvent event)

  - ### processCompletedWithTerminateEnd

    protected void processCompletedWithTerminateEnd(FlowableEngineEntityEvent event)

  - ### processCompletedWithErrorEnd

    protected void processCompletedWithErrorEnd(FlowableEngineEntityEvent event)

  - ### processCompletedWithEscalationEnd

    protected void processCompletedWithEscalationEnd(FlowableEngineEntityEvent event)

  - ### processCancelled

    protected void processCancelled(FlowableCancelledEvent event)

  - ### historicProcessInstanceCreated

    protected void historicProcessInstanceCreated(FlowableEngineEntityEvent event)

  - ### historicProcessInstanceEnded

    protected void historicProcessInstanceEnded(FlowableEngineEntityEvent event)

  - ### getExecution

    protected DelegateExecution getExecution(FlowableEngineEvent event)